/*  openplayer firmware - openplayer, an open source portable music player
    Copyright (C) 2008  Gerard Marull Paretas - <gerardmarull[at]gmail[dot]com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**************************************************************************
 * 
 * Settings module -> Adjust backlight intensity / auto light-off time - Version 1.0 (Prototyping)
 * 
 * File type: Header
 * File name: backlight.h
 * 
 **************************************************************************/

#ifndef BACKLIGHT_H_
#define BACKLIGHT_H_

/* Minimum backlight (from 0 to 255) */
#define LCD_BACKLIGHT_MIN	39

/***********************/
/* Function prototypes */
/***********************/
void sett_backlight_init(void);
void sett_backlight_handler(void);
void sett_backlight_exit(void);

#endif /*BACKLIGHT_H_*/
